<?php

namespace Drupal\eca_metatag\EventSubscriber;

use Drupal\eca\EventSubscriber\EcaBase;
use Drupal\eca_metatag\Plugin\ECA\Event\EcaEvent;

/**
 * Eca_metatag event subscriber.
 */
class EcaEventSubscriber extends EcaBase {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents(): array {
    $events = [];
    foreach (EcaEvent::definitions() as $definition) {
      $events[$definition['event_name']][] = ['onEvent'];
    }
    return $events;
  }

}
